package com.xkrs.model.qo;

import com.xkrs.model.validation.ProductQoInsert;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;

/**
 * @Author: XinYi Song
 * @Date: 2021/12/15 15:29
 */
public class ProductQo {

    /**
     * 商品名称
     */
    @NotBlank(message = "{Product.productName.null}",groups={ProductQoInsert.class})
    private String productName;

    /**
     * 商品描述
     */
    @NotBlank(message = "{Product.productDescription.null}",groups={ProductQoInsert.class})
    private String productDescription;

    /**
     * 商品分类
     */
    private Integer productCategories;

    /**
     * 商品价格
     */
    @NotBlank(message = "{Product.productPrice.null}",groups={ProductQoInsert.class})
    private BigDecimal productPrice;

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductDescription() {
        return productDescription;
    }

    public void setProductDescription(String productDescription) {
        this.productDescription = productDescription;
    }

    public Integer getProductCategories() {
        return productCategories;
    }

    public void setProductCategories(Integer productCategories) {
        this.productCategories = productCategories;
    }

    public BigDecimal getProductPrice() {
        return productPrice;
    }

    public void setProductPrice(BigDecimal productPrice) {
        this.productPrice = productPrice;
    }
}
